@media (max-width: 620px) {
  .section__articlehero {
    margin-bottom: 14px;
  }
}
@media (max-width: 620px) {
  .section__articlehero .section__hero__container {
    padding: 16px 16px 24px;
  }
}
.section__articlehero .section__bloghero__inner__meta {
  padding-bottom: 0;
  border-bottom: none;
  display: flex;
  align-items: center;
  gap: 36px;
  flex-wrap: wrap;
}
.section__articlehero .section__bloghero__inner__meta__info {
  display: flex;
  align-items: center;
  gap: 8px;
  flex-wrap: wrap;
}
.section__articlehero .section__bloghero__inner__meta .article__meta__category {
  background-color: var(--green-100);
  border-radius: 8px;
  padding: 8px 12px;
  font-weight: 600;
  line-height: 120%;
  color: var(--black-100);
  font-size: 18px;
}
@media (max-width: 1600px) {
  .section__articlehero .section__bloghero__inner__meta .article__meta__category {
    font-size: 16px;
  }
}
@media (max-width: 620px) {
  .section__articlehero .section__bloghero__inner__meta .article__meta__category {
    font-size: 12px;
  }
}
.section__articlehero .section__bloghero__inner__meta .article__meta__author,
.section__articlehero .section__bloghero__inner__meta .article__meta__date {
  border-radius: 8px;
  padding: 8px 14px;
  background: var(--white-20);
  font-weight: 600;
  line-height: 120%;
  color: var(--white-100);
  font-size: 18px;
}
@media (max-width: 1600px) {
  .section__articlehero .section__bloghero__inner__meta .article__meta__author,
  .section__articlehero .section__bloghero__inner__meta .article__meta__date {
    font-size: 16px;
  }
}
@media (max-width: 620px) {
  .section__articlehero .section__bloghero__inner__meta .article__meta__author,
  .section__articlehero .section__bloghero__inner__meta .article__meta__date {
    font-size: 12px;
  }
}

.section__article__body__layout {
  display: grid;
  grid-template-columns: auto 335px;
  gap: 62px;
  align-items: start;
}
@media (max-width: 1600px) {
  .section__article__body__layout {
    grid-template-columns: auto 440px;
  }
}
@media (max-width: 992px) {
  .section__article__body__layout {
    grid-template-columns: auto 248px;
    gap: 48px;
  }
}
@media (max-width: 768px) {
  .section__article__body__layout {
    grid-template-columns: auto 156px;
    gap: 62px;
  }
}
@media (max-width: 620px) {
  .section__article__body__layout {
    display: flex;
    flex-direction: column-reverse;
  }
}
.section__article__body__content {
  display: flex;
  flex-direction: column;
  gap: 80px;
}
@media (max-width: 1600px) {
  .section__article__body__content {
    gap: 64px;
  }
}
@media (max-width: 1024px) {
  .section__article__body__content {
    gap: 48px;
  }
}
.section__article__body__content__toc {
  border-radius: 24px;
  padding: 36px;
  background: var(--black-95);
  display: flex;
  flex-direction: column;
}
.section__article__body__content__toc.active .section__article__body__content__toc__title {
  padding-bottom: 16px;
  margin-bottom: 16px;
  border-bottom-color: var(--white-20);
}
.section__article__body__content__toc.active .section__article__body__content__toc__list_wrapper {
  grid-template-rows: 1fr;
  opacity: 1;
  visibility: visible;
}
.section__article__body__content__toc.active .section__article__body__content__toc__btn .icon {
  rotate: -90deg;
}
@media (any-hover: hover) {
  .section__article__body__content__toc:hover .section__article__body__content__toc__btn {
    background-color: var(--green-100);
  }
  .section__article__body__content__toc:hover .section__article__body__content__toc__btn .icon {
    color: var(--black-100);
  }
}
@media (max-width: 1024px) {
  .section__article__body__content__toc {
    border-radius: 16px;
    padding: 20px;
  }
}
.section__article__body__content__toc__title {
  border-bottom: 1px solid transparent;
  transition: var(--transition-300);
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  cursor: pointer;
}
.section__article__body__content__toc__btn {
  border-radius: 8px;
  background-color: var(--black-80);
  width: 48px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: var(--transition-300);
}
@media (max-width: 620px) {
  .section__article__body__content__toc__btn {
    width: 32px;
    height: 32px;
  }
}
.section__article__body__content__toc__btn .icon {
  width: 11px;
  height: 11px;
  color: var(--white-100);
  rotate: 90deg;
  transition: var(--transition-300);
}
.section__article__body__content__toc__list_wrapper {
  display: grid;
  grid-template-rows: 0fr;
  transition: grid-template-rows var(--transition-300), opacity var(--transition-300), visibility var(--transition-300);
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
}
.section__article__body__content__toc__list {
  min-height: 0;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.section__article__body__content__toc__list__item {
  display: flex;
  align-items: center;
  gap: 12px;
}
@media (any-hover: hover) {
  .section__article__body__content__toc__list__item:hover .section__article__body__content__toc__list__num {
    background-color: var(--green-100);
    color: var(--black-100);
  }
  .section__article__body__content__toc__list__item:hover .section__article__body__content__toc__list__link {
    color: var(--white-100);
  }
}
@media (any-hover: none) {
  .section__article__body__content__toc__list__item:not(:last-child) {
    border-bottom: 1px solid var(--black-80);
    padding-bottom: 8px;
  }
  .section__article__body__content__toc__list__item .section__article__body__content__toc__list__num {
    border: 1px solid var(--green-100);
    color: var(--green-100);
  }
  .section__article__body__content__toc__list__item .section__article__body__content__toc__list__link {
    color: var(--white-100);
  }
}
.section__article__body__content__toc__list__num {
  border-radius: 50%;
  width: 100%;
  max-width: 32px;
  aspect-ratio: 1/1;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  font-size: 14px;
  line-height: 120%;
  text-align: center;
  color: var(--grey-100);
  transition: var(--transition-300);
  background: var(--black-80);
}
@media (max-width: 1024px) {
  .section__article__body__content__toc__list__num {
    font-size: 12px;
  }
}
.section__article__body__content__toc__list__link {
  font-weight: 500;
  font-size: 18px;
  line-height: 140%;
  color: var(--grey-100);
  transition: var(--transition-300);
}
@media (max-width: 1024px) {
  .section__article__body__content__toc__list__link {
    font-size: 16px;
  }
}
.section__article__body__sidebar {
  position: sticky;
  top: 120px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}
@media (max-width: 1600px) {
  .section__article__body__sidebar {
    gap: 18px;
  }
}
@media (max-width: 768px) {
  .section__article__body__sidebar {
    gap: 18px;
  }
}
@media (max-width: 620px) {
  .section__article__body__sidebar {
    position: static;
    top: 0;
    width: 100%;
  }
}
.section__article__body__sidebar__list {
  padding-bottom: 24px;
  border-bottom: 1px solid var(--white-20);
  display: flex;
  flex-direction: column;
  gap: 24px;
}
@media (max-width: 1600px) {
  .section__article__body__sidebar__list {
    padding-bottom: 18px;
    gap: 18px;
  }
}
@media (max-width: 620px) {
  .section__article__body__sidebar__list {
    display: none;
  }
}
.section__article__body__sidebar__list__articles {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
@media (max-width: 1600px) {
  .section__article__body__sidebar__list__articles {
    gap: 16px;
  }
}
.section__article__body__sidebar__list__article {
  display: grid;
  grid-template-columns: 100px auto;
  gap: 12px;
}
@media (max-width: 1024px) {
  .section__article__body__sidebar__list__article {
    grid-template-columns: 80px auto;
  }
}
@media (max-width: 768px) {
  .section__article__body__sidebar__list__article {
    grid-template-columns: 1fr;
  }
}
@media (any-hover: hover) {
  .section__article__body__sidebar__list__article:hover .section__article__body__sidebar__list__article__img {
    border-color: var(--green-100);
  }
  .section__article__body__sidebar__list__article:hover .section__article__body__sidebar__list__article__title {
    color: var(--green-100);
  }
}
.section__article__body__sidebar__list__article__img {
  width: 100%;
  height: 66px;
  border: 1px solid transparent;
  transition: var(--transition-300);
  border-radius: 8px;
  overflow: hidden;
}
.section__article__body__sidebar__list__article__img img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}
@media (max-width: 1024px) {
  .section__article__body__sidebar__list__article__img {
    height: 58px;
  }
}
@media (max-width: 768px) {
  .section__article__body__sidebar__list__article__img {
    height: 100px;
  }
}
.section__article__body__sidebar__list__article__content {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.section__article__body__sidebar__list__article__title {
  color: var(--white-100);
  font-weight: 600;
  font-size: 16px;
  line-height: 120%;
  transition: var(--transition-300);
}
@media (max-width: 1024px) {
  .section__article__body__sidebar__list__article__title {
    font-size: 14px;
  }
}
.section__article__body__sidebar__list__article__date {
  font-weight: 500;
  font-size: 14px;
  line-height: 120%;
  color: var(--white-30);
}
@media (max-width: 1024px) {
  .section__article__body__sidebar__list__article__date {
    font-size: 12px;
  }
}
.section__article__body__sidebar__socials {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
@media (max-width: 1600px) {
  .section__article__body__sidebar__socials {
    padding-bottom: 18px;
    gap: 18px;
  }
}
.section__article__body__sidebar__socials__links {
  display: flex;
  gap: 8px;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
}
.section__article__body__sidebar__socials__link {
  width: calc((100% - 32px) / 5);
  min-width: 46px;
  aspect-ratio: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--grey-100);
  border: 1px solid var(--black-80);
  border-radius: 50%;
  transition: var(--transition-300);
}
.section__article__body__sidebar__socials__link .icon,
.section__article__body__sidebar__socials__link img {
  width: 20px;
  height: 18px;
  transition: var(--transition-300);
}
@media (any-hover: hover) {
  .section__article__body__sidebar__socials__link:hover {
    background: var(--green-100);
  }
  .section__article__body__sidebar__socials__link:hover .icon {
    color: var(--black-100);
  }
}

.section__article__author__body {
  border: 1px solid var(--white-30);
  border-radius: 24px;
  padding: 16px 64px 16px 16px;
  background: var(--black-95);
  display: grid;
  align-items: center;
  grid-template-columns: 300px auto;
  gap: 64px;
}
@media (max-width: 1600px) {
  .section__article__author__body {
    grid-template-columns: 285px auto;
  }
}
@media (max-width: 1024px) {
  .section__article__author__body {
    grid-template-columns: 340px auto;
  }
}
@media (max-width: 768px) {
  .section__article__author__body {
    grid-template-columns: 150px auto;
  }
}
@media (max-width: 620px) {
  .section__article__author__body {
    grid-template-columns: 1fr;
    padding: 16px;
  }
}
.section__article__author__body.with__author {
  padding: 0px 36px 0px 64px;
  gap: 120px;
  grid-template-columns: auto 440px;
  position: relative;
}
@media (max-width: 1024px) {
  .section__article__author__body.with__author {
    padding: 0px 0px 0px 64px;
    gap: 64px;
    grid-template-columns: auto 360px;
    overflow: hidden;
  }
}
@media (max-width: 768px) {
  .section__article__author__body.with__author {
    padding: 0px 0px 0px 36px;
    gap: 0;
    grid-template-columns: auto 300px;
  }
}
@media (max-width: 620px) {
  .section__article__author__body.with__author {
    display: flex;
    flex-direction: column-reverse;
    padding: 48px 20px 0px;
  }
}
@media (min-width: 621px) {
  .section__article__author__body.with__author .section__article__author__img {
    grid-column: 2/3;
    grid-row: 1/2;
  }
}
.section__article__author__body.with__author .section__article__author__img {
  position: relative;
  align-self: stretch;
  border-radius: 0;
  padding: 0;
  background: transparent;
}
.section__article__author__body.with__author .section__article__author__img .section__article__author__img__inner {
  width: 100%;
  max-width: 440px;
  position: absolute;
  bottom: 0;
  right: 36px;
  clip-path: inset(-300px -300px 1px -300px);
  z-index: 1;
}
.section__article__author__body.with__author .section__article__author__img .section__article__author__img__inner img {
  width: 100%;
  z-index: 3;
  position: relative;
}
.section__article__author__body.with__author .section__article__author__img .section__article__author__img__inner::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 0);
  width: 300px;
  height: 300px;
  border-radius: 100%;
  background: var(--green-100);
  filter: blur(50px);
  z-index: 1;
  pointer-events: none;
}
@media (max-width: 1024px) {
  .section__article__author__body.with__author .section__article__author__img .section__article__author__img__inner {
    right: 0;
  }
}
@media (max-width: 620px) {
  .section__article__author__body.with__author .section__article__author__img .section__article__author__img__inner {
    position: relative;
    margin: 0 auto;
  }
}
@media (max-width: 620px) {
  .section__article__author__body.with__author .section__article__author__img {
    max-height: none;
  }
}
.section__article__author__body.with__author .section__article__author__info {
  padding: 40px 0;
  grid-column: 1/2;
  grid-row: 1/2;
}
@media (min-width: 621px) {
  .section__article__author__body.with__author .section__article__author__info {
    grid-column: 1/2;
    grid-row: 1/2;
  }
}
@media (max-width: 620px) {
  .section__article__author__body.with__author .section__article__author__info {
    padding: 0;
    align-items: center;
    text-align: center;
  }
}
.section__article__author__body.with__author .section__article__author__header {
  display: flex;
  align-items: center;
  gap: 16px;
}
@media (max-width: 1024px) {
  .section__article__author__body.with__author .section__article__author__header {
    flex-direction: column-reverse;
    gap: 12px;
  }
}
@media (max-width: 620px) {
  .section__article__author__body.with__author .section__article__author__header {
    align-items: center;
  }
}
.section__article__author__body.with__author .section__article__author__position {
  border-radius: 8px;
  padding: 8px 12px;
  background: var(--black-80);
  font-weight: 500;
  font-size: 14px;
  line-height: 120%;
}
.section__article__author__img {
  border-radius: 16px;
  padding: 72px;
  background: var(--black-80);
  display: flex;
  align-items: center;
  justify-content: center;
}
.section__article__author__img .icon {
  width: 100%;
  height: 100%;
}
@media (max-width: 1600px) {
  .section__article__author__img {
    padding: 60px;
  }
}
@media (max-width: 1024px) {
  .section__article__author__img {
    padding: 90px;
  }
}
@media (max-width: 768px) {
  .section__article__author__img {
    padding: 38px;
  }
}
@media (max-width: 620px) {
  .section__article__author__img {
    padding: 20px;
    max-height: 120px;
  }
}
.section__article__author__info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
}
.section__article__author__info .btn {
  margin-top: 8px;
}
.section__article__author__bio {
  color: var(--grey-100);
}
.section__article__author__bio a {
  color: var(--green-100);
  font-weight: 700;
  text-decoration: underline;
}

.section__recent__posts__body {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 36px;
}
.section__recent__posts__title {
  text-align: center;
}
.section__recent__posts__body {
  display: flex;
  flex-direction: column;
  gap: 48px;
}
.section__recent__posts__grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
}
@media (max-width: 620px) {
  .section__recent__posts__grid {
    grid-template-columns: 1fr;
  }
}